Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.connector.warp
Class WarpResponse.Stream

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--org.apache.catalina.connector.warp.WarpResponse.Stream

Enclosing class:
  WarpResponse

protected class WarpResponse.Stream
extends java.io.OutputStream

The `OutputStream` that will handle all response body transmission.

Constructor Summary
`protected` | `WarpResponse.Stream(WarpResponse response)` Construct a new instance of a `WarpResponse.Stream` associated with a parent `WarpResponse`.

Method Summary
`void` | `close()` Flush this `WarpResponse.Stream` and close it.
`void` | `finish()` Flush this `WarpResponse.Stream` and close it.
`void` | `flush()` Flush the current packet to the WARP client.
`void` | `recycle()` Recycle this `WarpResponse.Stream` instance.
`void` | `write(int b)` Write one byte of data to the `WarpPacket` nested within this `WarpResponse.Stream`.

Methods inherited from class java.io.OutputStream
`write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WarpResponse.Stream

    protected WarpResponse.Stream(WarpResponse response)

  Construct a new instance of a `WarpResponse.Stream` associated with a parent `WarpResponse`.

Method Detail

### write

    public void write(int b)
               throws java.io.IOException

  Write one byte of data to the `WarpPacket` nested within this `WarpResponse.Stream`. All data is buffered until the `flush()` or `close()` method is not called.
  Overrides:
    `write` in class `java.io.OutputStream`

### flush

    public void flush()
               throws java.io.IOException

  Flush the current packet to the WARP client.
  Overrides:
    `flush` in class `java.io.OutputStream`

### close

    public void close()
               throws java.io.IOException

  Flush this `WarpResponse.Stream` and close it.
  Overrides:
    `close` in class `java.io.OutputStream`

### finish

    public void finish()
                throws java.io.IOException

  Flush this `WarpResponse.Stream` and close it.

### recycle

    public void recycle()

  Recycle this `WarpResponse.Stream` instance.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.